Index of Functions: A B C D E F G H I J K L M N O P Q R S T U V W X
Index Page shelld_c

Table of contents

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       shelld_c ( Shell sort a double precision array )

       void shelld_c ( SpiceInt       ndim,
                       SpiceDouble  * array )

#### Abstract

       Sort a double precision array using the Shell Sort algorithm.

#### Required_Reading

       None.

#### Keywords

       ARRAY
       SORT

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       ndim       I   Dimension of the array.
       array     I-O  The array to be sorted.

#### Detailed_Input

       ndim        is the number of elements in the array to be sorted.

       array       on input, is the array to be sorted.

#### Detailed_Output

       array       on output, contains the same elements, sorted
                   in increasing order. The actual sorting is done
                   in place in array.

#### Parameters

       None.

#### Exceptions

       Error free.

       1)  If ndim < 2, this routine does not modify the array.

#### Files

       None.

#### Particulars

       The Shell Sort Algorithm is well known.

#### Examples

       Let array contain the following elements:

           99.
           33.
           55.
           44.
          -77.
           66.

       Then after a call to shelld_c, the array would be ordered as
       follows:

          -77.
           33.
           44.
           55.
           66.
           99.

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman        (JPL)
       J. Diaz del Rio     (ODC Space)
       I.M. Underwood      (JPL)

#### Version

       -CSPICE Version 1.0.1, 05-JUL-2021 (JDR)

           Edited the header to comply with NAIF standard.

       -CSPICE Version 1.0.0, 08-JUL-2002 (NJB) (IMU)

#### Index_Entries

       shell sort a d.p. array

#### Link to routine shelld_c source file shelld_c.c

    Fri Dec 31 18:41:12 2021